summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Philip van der Hoeven <philip@vd-hoeven.nl>2014-12-30 00:01:00 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-12-30 00:01:00 +0700
commit823f42a58c48e4837b83a59e92c58f17c13fce94 (patch)
treebb3dbf53896f48f1a8682a47b83cdac5d80abdc6 /network
parent985af3acb80d914be0570c038242bf32d0235b6b (diff)
downloadslackbuilds-823f42a58c48e4837b83a59e92c58f17c13fce94.tar.gz
slackbuilds-823f42a58c48e4837b83a59e92c58f17c13fce94.tar.xz
network/btsync: Added (sync files).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/btsync/README9
-rw-r--r--network/btsync/btsync.SlackBuild93
-rw-r--r--network/btsync/btsync.info10
-rw-r--r--network/btsync/doinst.sh25
-rw-r--r--network/btsync/rc.btsync29
-rw-r--r--network/btsync/slack-desc19
6 files changed, 185 insertions, 0 deletions
diff --git a/network/btsync/README b/network/btsync/README
new file mode 100644
index 0000000000..1185cd1890
--- /dev/null
+++ b/network/btsync/README
@@ -0,0 +1,9 @@
+BitTorrent Sync easily moves anything, anywhere - all the benefits of the cloud,
+none of the limitations. Available for Windows, Mac, Linux, iOS, and Android.
+
+To start automatic at boot make /etc/rc.d/rc.btsync executable:
+chmod +x /etc/rc.d/rc.btsync
+and add it to /etc/rc.d/rc.local
+btsync will then be started as root using /etc/btsync.conf as config.
+
+Use your browser to configure btsync: http://ip.address:8888/
diff --git a/network/btsync/btsync.SlackBuild b/network/btsync/btsync.SlackBuild
new file mode 100644
index 0000000000..4b03425a2d
--- /dev/null
+++ b/network/btsync/btsync.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackware build script for btsync
+
+# Copyright 2014 Philip van der Hoeven Almere The Netherlands
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=btsync
+VERSION=${VERSION:-1.4.103}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ FARCH=i386
+elif [ "$ARCH" = "x86_64" ]; then
+ FARCH=x64
+else
+ echo "Only i386 and x86_64 architectures are supported..."
+ exit 1
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}_$FARCH-$VERSION.tar.gz
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Install btsync
+mkdir -p $PKG/usr/bin
+install -Dm755 btsync $PKG/usr/bin/btsync
+
+# Install rc script
+mkdir -p $PKG/etc/rc.d
+cat $CWD/rc.btsync > $PKG/etc/rc.d/rc.btsync.new
+
+# Generate config file
+./btsync --dump-sample-config \
+ | sed 's@// "storage_path" : "/home/user/.sync"@"storage_path" : "/var/lib/btsync"@' \
+ | sed 's@// "pid_file"@ "pid_file"@' > $PKG/etc/btsync.conf.new
+
+mkdir -p $PKG/var/lib/btsync
+mkdir -p $PKG/var/run/btsync
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README LICENSE.TXT $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/btsync/btsync.info b/network/btsync/btsync.info
new file mode 100644
index 0000000000..e7b31640d3
--- /dev/null
+++ b/network/btsync/btsync.info
@@ -0,0 +1,10 @@
+PRGNAM="btsync"
+VERSION="1.4.103"
+HOMEPAGE="http://www.getsync.com"
+DOWNLOAD="http://syncapp.bittorrent.com/1.4.103/btsync_i386-1.4.103.tar.gz"
+MD5SUM="93cbb348d90a8653f5989b3ff86f5d76"
+DOWNLOAD_x86_64="http://syncapp.bittorrent.com/1.4.103/btsync_x64-1.4.103.tar.gz"
+MD5SUM_x86_64="a6aefd295af8948576e0ce10a0729679"
+REQUIRES=""
+MAINTAINER="Philip van der Hoeven"
+EMAIL="philip@vd-hoeven.nl"
diff --git a/network/btsync/doinst.sh b/network/btsync/doinst.sh
new file mode 100644
index 0000000000..2b138413f8
--- /dev/null
+++ b/network/btsync/doinst.sh
@@ -0,0 +1,25 @@
+config() {
+ NEW="$1"
+ OLD="`dirname $NEW`/`basename $NEW .new`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
+
+config etc/btsync.conf.new
+preserve_perms etc/rc.d/rc.btsync.new
diff --git a/network/btsync/rc.btsync b/network/btsync/rc.btsync
new file mode 100644
index 0000000000..71bf757e16
--- /dev/null
+++ b/network/btsync/rc.btsync
@@ -0,0 +1,29 @@
+#!/bin/sh
+#
+# btsync start script
+
+case "$1" in
+ stop)
+ PID=/var/run/btsync/btsync.pid
+ if [ -f $PID ]; then
+ echo "Stop BitTorrent Sync..."
+ kill "`cat /var/run/btsync/btsync.pid`"
+ else
+ echo "BitTorrent Sync is not running..."
+ exit 1
+ fi
+ ;;
+ start)
+ echo "Start BitTorrent Sync..."
+ /usr/bin/btsync --config /etc/btsync.conf
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 { start | stop | restart }" >&2
+ exit 1
+ ;;
+esac
diff --git a/network/btsync/slack-desc b/network/btsync/slack-desc
new file mode 100644
index 0000000000..3b6eb05b70
--- /dev/null
+++ b/network/btsync/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+btsync: btsync (sync files between your own devices)
+btsync:
+btsync: Sync easily moves anything, anywhere - all the benefits of the cloud,
+btsync: none of the limitations. Available for Windows, Mac, Linux, iOS,
+btsync: and Android.
+btsync:
+btsync: http://www.getsync.com
+btsync:
+btsync:
+btsync:
+btsync: